RedirectingActionForward (Struts Core 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Class RedirectingActionForward

    java.lang.Object
      org.apache.struts.config.BaseConfig
          org.apache.struts.config.ForwardConfig
              org.apache.struts.action.ActionForward
                  org.apache.struts.action.RedirectingActionForward

All Implemented Interfaces:
  Serializable

    public class RedirectingActionForward

extends ActionForward

A subclass of ActionForward that defaults the `redirect` attribute to `true`.

Version:
  $Rev: 471754 $ $Date: 2005-05-07 12:11:38 -0400 (Sat, 07 May 2005) $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.config.ForwardConfig
`catalog, command, extensionProcessed, inherit, module, name, path, redirect`

Fields inherited from class org.apache.struts.config.BaseConfig
`configured`

Constructor Summary
`RedirectingActionForward()` Construct a new instance with default values.
`RedirectingActionForward(String path)` Construct a new instance with the specified path.

Method Summary

Methods inherited from class org.apache.struts.config.ForwardConfig
`checkCircularInheritance, getCatalog, getCommand, getExtends, getModule, getName, getPath, getRedirect, inheritFrom, isExtensionProcessed, processExtends, setCatalog, setCommand, setExtends, setModule, setName, setPath, setRedirect, toString`

Methods inherited from class org.apache.struts.config.BaseConfig
`copyProperties, freeze, getProperties, getProperty, inheritProperties, setProperties, setProperty, throwIfConfigured`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RedirectingActionForward

    public RedirectingActionForward()

  Construct a new instance with default values.

### RedirectingActionForward

    public RedirectingActionForward(String path)

  Construct a new instance with the specified path.

  Parameters:
    `path` - Path for this instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.